/** MODIFICADO POR JULIANA **/

/* Modulo: Color.c
 *
 * Curso: Computao Grfica - 2000
 * Ultima alterao: 26/02/2000
 */

#ifndef COLOR_H
#define COLOR_H

#include <stdio.h>

typedef struct {
  double r, g, b;
} Color;

Color  corCreate(double red, double green, double blue);
Color  corRead(FILE *fp);
Color  corCopy(Color c1);
Color  corAdd(Color c1, Color c2);
Color  corScale(double s, Color c);
Color  corReflect(double s, Color light, Color k);


/*==============================================================================
*Nome: dPegarVerm
*Descrio da Funo: funo que devolve a componente vermelha de uma dada cor.
*
*Parametro recebido
*   Cor: a cor.
*
*Valor Retornado
*   a componente vermelha da cor.
*=============================================================================*/

double dPegarVerm( Color Cor ) ;


/*==============================================================================
*Nome: dPegarVerde
*Descrio da Funo: funo que devolve a componente verde de uma dada cor.
*
*Parametro recebido
*   Cor: a cor.
*
*Valor Retornado
*   a componente verde da cor.
*=============================================================================*/

double dPegarVerde( Color Cor ) ;


/*==============================================================================
*Nome: dPegarAzul
*Descrio da Funo: funo que devolve a componente azul de uma dada cor.
*
*Parametro recebido
*   Cor: a cor.
*
*Valor Retornado
*   a componente azul da cor.
*=============================================================================*/

double dPegarAzul( Color Cor ) ;


#endif
