/* Modulo: Imterface do TAD: Image
 *
 * Curso: Computao Grfica - 2000
 * Ultima alterao: 06mar2000
 */

#ifndef IMAGE_H
#define IMAGE_H

struct Image_impl;
typedef struct Image_impl Image;

Image * imgCreate(int w, int h);
void    imgDestroy(Image * img);


unsigned char imgGetPixelRed(Image *img, int x, int y);
unsigned char imgGetPixelGreen(Image *img, int x, int y);
unsigned char imgGetPixelBlue(Image *img, int x, int y);

void          imgSetPixel(Image *img, int x, int y, 
						  unsigned char r, unsigned char g, unsigned char b);
int     imgGetWidth(Image *img);
int     imgGetHeight(Image *img);

unsigned char *imgGetRedChannel(Image *img);
unsigned char *imgGetGreenChannel(Image *img);
unsigned char *imgGetBlueChannel(Image *img);

Image * imgReadPPM(char *filename);
int     imgWritePPM(Image * img, char * filename);

#endif
