/** MODIFICADO POR JULIANA **/

#ifndef LIGHT_H
#define LIGHT_H

#include <stdio.h>
#include "algebra.h"
#include "color.h"

typedef struct {
	Vector3D position;
	Color color;
} Light;

Light lightRead( FILE *fp );


/*==============================================================================
*Nome: PegarPos
*Descrio da Funo: funo que devolve a posio de uma dada luz.
*
*Parametro recebido
*   Luz: a luz.
*
*Valor Retornado
*   a posio da luz.
*=============================================================================*/

Vector3D PegarPos( Light Luz ) ;


/*==============================================================================
*Nome: PegarCor
*Descrio da Funo: funo que devolve a cor de uma dada luz.
*
*Parametro recebido
*   Luz: a luz.
*
*Valor Retornado
*   a cor da luz.
*=============================================================================*/

Color PegarCor( Light Luz ) ;


#endif