/** MODIFICADO POR JULIANA **/

#include "light.h"

Light lightRead( FILE *fp )
{
	Light l;

	l.position = v3dRead( fp );
	l.color = corRead( fp );

#ifndef NDEBUG
	printf("\n[%s:%d] read light:\n", __FILE__, __LINE__);
	printf("\tpos = (%g, %g, %g),\n", 
	       l.position.x, l.position.y, l.position.z);
	printf("\tcolor = (%g, %g, %g)\n", l.color.r, l.color.g, l.color.b);
#endif

	return l;
}


/*==============================================================================
*Nome: PegarPos
*=============================================================================*/

Vector3D PegarPos( Light Luz ) {
   return Luz.position ;
} /* PegarPos */


/*==============================================================================
*Nome: PegarCor
*=============================================================================*/

Color PegarCor( Light Luz ) {
   return Luz.color ;
} /* PegarCor */